Bug 11623 - Fix STATUS_BUFFER_OVERFLOW for ncacn_np connections
Fix STATUS_BUFFER_OVERFLOW for ncacn_np connections
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 11622
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 18:24 UTC by Stefan Metzmacher
Modified: 2016-04-20 07:19 UTC (History)
2 users (show)

See Also:


Attachments
Patches for v4-3-test (10.01 KB, patch)
2016-04-13 17:24 UTC, Stefan Metzmacher
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2015-11-27 18:24:03 UTC
We don't handle STATUS_BUFFER_OVERFLOW for SMB1 Trans/Readx and SMB2 Ioctl/Read
correctly when using named pipes.
Comment 1 Stefan Metzmacher 2016-04-13 17:24:05 UTC
Created attachment 11990 [details]
Patches for v4-3-test
Comment 2 Jeremy Allison 2016-04-13 18:18:12 UTC
Comment on attachment 11990 [details]
Patches for v4-3-test

LGTM.
Comment 3 Jeremy Allison 2016-04-13 18:18:32 UTC
Re-assigning to Karolin for inclusion in 4.3.next.
Comment 4 Karolin Seeger 2016-04-18 10:46:31 UTC
Pushed to autobuild-v4-3-test.
Comment 5 Karolin Seeger 2016-04-20 07:19:58 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-3-test.
Closing out bug report.

Thanks!